﻿
# Death Tweaks! 

 All credit for this mod go to aedenthorn! Wonderful mod creator. Follow the link above to check out some more of their mods. 
 https://www.nexusmods.com/valheim/users/18901754
 Lets you tweak what happens when you die, including item dropping and keeping, whether a tombstone is created, whether food levels are kept, whether to reduce skill levels, etc. 

# Features

This mod contains the following config options:

    KeepItemTypes - a list of item types to always keep on death
    DropItemTypes - a list of item types to always drop on death
    DestroyItemTypes - a list of item types to always destroy on death
    KeepAllItems - whether to keep all items
    DestroyAllItems - whether to destroy all items
    KeepEquippedItems - whether to keep equipped items
    KeepQuickSlotItems - whether to keep items in Equipment and Quick Slots quick slots
    UseTombStone - whether to create a tomb stone
    CreateDeathEffects - whether to create a ragdoll
    KeepFoodLevels - whether to keep food levels on death
    ReduceSkills - whether to reduce skills on death
    SkillReduceFactor - the fraction of skill xp to lose
    NoSkillProtection - whether to force skill loss on every death
    SpawnAtStart - Whether to force respawning at start location
    UseFixedSpawnCoordinates - Whether to use custom fixed spawn coordinates



Only use either KeepItemTypes or DropItemType.  DestroyItemTypes overrides both. KeepEquippedItems overrides the lists and KeepAllItems or DestroyAllItems overrides all the others.

As of version 0.3.0 it should work with Equipment and Quick Slots.

# Config

A config file BepInEx/config/aedenthorn.DeathTweaks.cfg is created after running the game once with this mod).

You can adjust the config values by editing this file using a text editor or in-game using the Config Manager﻿.

To reload the config from the config file, type deathtweaks reset into the game's console (F5).

# Changelog: 
        Version 0.8.1
            Removed serversync
        Version 0.8.0
            Fix for new update
        Version 0.7.0
            Added variable skill reduction
            Added custom spawn location
        Version 0.6.2
            Fixed exception
        Version 0.6.1
            Possible fix for duplicate items
        Version 0.6.0
            Added option to destroy all items on death
        Version 0.5.2
            Fix for collection changed
        Version 0.5.1
            Fixed no skill protection option
        Version 0.5.0
            Added option to keep Quick Slot items
        Version 0.4.0
            Added skill protection toggle
        Version 0.3.0
            Added compatibility with Equipment and Quick Slots
        Version 0.2.0
            Added keep hotbar items option

